Update an Item

Updates or edits any existing catalog item that matches the given ID.

Updates/edits any existing catalog item that matches the given ID. Has the same input body as POST /item. None of the given parameters are required, but name and code are at least recommended.

Path Params
string
required

ID of the item to be modified.

Body Params
string
required

Name of the catalog item

string

Code of the catalog item

string

Set category for catalog item

string

Description for catalog item

boolean

Define if the item is active

boolean

Define if the item is taxable

boolean

Define if the item is a service

boolean
Defaults to false

Defaults to false. Sets the item to a discount which overrides the is_service variable.

float

Update the catalog item price

int32

Sets the stock quantity

int32

Update the low stock alert amount

json
string

IDs of files to be associated to the item.

string

File ID of a file to be associated to the item as the thumbnail or preview.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json